Subject: Re: bug#21517: 11.88.8; Error parsing wrong in Plain TeX mode

From: Mosè Giordano <[email-masked]>
Date: Sat, 19 Sep 2015 16:42:19 +0200

Hi Jean-François,

2015-09-19 14:15 GMT+02:00 jfbu <[email-masked]>:
> Hi Tassilo
>
> Le 19 sept. 2015 à 14:03, Tassilo Horn <[email-masked]> a écrit :
>
>>>
>>> I see in the message mini-buffer
>>>> TeX errors in `*~/_texlatex/1509/bugauctex output*'. Use C-c ` to display.
>>>
>>> On C-c `, I get:
>>>> No more errors.
>>
>> Ah, there's been a bug in `TeX-TeX-sentinel' which invoked error parsing
>> only if there were no errors. ;-)
>>
>> I think it is fixed now.  Could you please check and report back?
>
>
> Yes, I applied the patch to tex-buf.el from the latest commit
> and error parsing seems to function as expected in TeX-mode

Oops, sorry, I think those bugs were my fault, thanks for having
spotted them!

> C-c `  is OK, and Command->Error Overview also
>
> this is at least on my \underline example, but as I never do any
> error in TeX coding if not intentionally, it might be
> a very long time before I can confirm more generally, though

I wonder how many plain TeX users we have (or at least plain TeX users only,
no LaTeX, who care to report bugs): bug fixed with commit

    * 1a5d447 (2013-04-17)  Fix plain TeX abbrev table name.

(http://git.savannah.gnu.org/gitweb/?p=auctex.git;a=commitdiff;h=1a5d447)
made opening plain TeX files pretty uncomfortable, still was never
reported before the fix, which came 2.5 years after the bug had been
introduced and 5 months after previous stable version.

Bye,
Mosè